package com.zsc.edu.gateway.modules.operationLog.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author zhuang
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
@TableName("operation_log")
public class OperationLog {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 模块类型
     */
    private ModuleTypeEnum moduleType;

    /**
     * 操作类型
     */
    private FunctionTypeEnum functionType;

    /**
     * 操作内容
     */
    private String content;

    /**
     * 操作时间
     */
    private LocalDateTime makeTime;

    /**
     * 部门ID(权限)
     */
    @TableField(value = "dept_id", fill = FieldFill.INSERT)
    public Long deptId;

    /**
     * 创建人ID(权限)
     */
    @TableField(value = "create_id", fill = FieldFill.INSERT)
    public Long createId;
}
